﻿@model ViewModels.Financial.CustomerUserRialAccountEditViewModel

@{
    ViewBag.Title = "ویرایش حساب بانکی (ریالی)";
}

<div class="alert alert-info">
    شماره کارت را بدون خط تیره (-) وارد نمایید
</div>

@if (ViewBag.IsDeclined)
{
    <div class="alert alert-warning">
        حساب بانکی شما رد شده است. لطفا آن را اصلاح نمایید. در صورتی که سوالی دارید، با واحد پشتیبانی تماس بگیرید.
    </div>
}

@using (Html.BeginForm()) 
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)
    @Html.HiddenFor(model => model.Id)
	
	<div class="row">
        <div class="form-group">
			<div class="col-lg-12">
            @Html.LabelFor(model => model.BankId, new { @class = "label-control" })
			</div>
		</div>
		<div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
				@Html.DropDownListFor(model => model.BankId, new SelectList(ViewBag.Banks, "Id", "Name"), new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.BankId)
            </div>
        </div>
	</div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                @Html.LabelFor(model => model.ShabaNumber, new { @class = "label-control" })
            </div>
        </div>
        <div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
                @Html.TextBoxFor(model => model.ShabaNumber, new { @class = "form-control ltr" })
                @Html.ValidationMessageFor(model => model.ShabaNumber)
            </div>
        </div>
    </div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                @Html.LabelFor(model => model.CardNumber, new { @class = "label-control" })
            </div>
        </div>
        <div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
                @Html.TextBoxFor(model => model.CardNumber, new { @class = "form-control ltr" })
                @Html.ValidationMessageFor(model => model.CardNumber)
            </div>
        </div>
    </div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                @Html.LabelFor(model => model.AccountNumber, new { @class = "label-control" })
            </div>
        </div>
        <div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
                @Html.TextBoxFor(model => model.AccountNumber, new { @class = "form-control ltr" })
                @Html.ValidationMessageFor(model => model.AccountNumber)
            </div>
        </div>
    </div>
	<div class="row">
        <div class="form-group">
			<div class="col-lg-12">
				<input type="submit" value="ثبت" class="btn btn-info"  />
			</div>
		</div>
	</div>
}
